/* Compilation flags for the source code. */



/**********************************************************
Define the compilation target: DOS or LINUX.
Specify this before start compilation */

// uncomment if your compilation target is Linux (comment the other #define)
//#define TRG_LINUX

// uncoment if your compilation target is DOS (comment the other #define)
#define TRG_DJGPP



/**********************************************************
Define some engine features that would be enabled in compilation. 
If you want some specific feature remove the remarks, add
remarks if don't. */



// Enable the light system. If don't, use polygons without
// shadows. This flag just change the polygon draw functions,
// the memory allocation for light tables and all the rest
// continue existing without flag change.
#define COMP_LIGHTS



// Use light system only with shadows between dark and be texture
// colors. If you add remarks the code used generate light tables
// that go from dark to texture color and than to light source color.
// You need delete the light table files (*.LTB) to force the
// regeneration with the new configuration.
#define COMP_COLOR_LIGHTS



// Enable assembler code. If don't is used C/C++ code.
#define COMP_ASM
