/* Declare math.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_MATH_H__



// signals file inclusion
#define __3DFC_MATH_H__



class CMath {

public:

   CMath ( BOOL bBuildTrigTables = FALSE );
   ~CMath ();

public:

   INT* m_panSin;       // sin lockup table (fix point 16.16)
   INT* m_panCos;       // cos lockup table (fix point 16.16)
   float* m_pafSin;     // sin lockup table (floating point)
   float* m_pafCos;     // cos lockup table (floating point)

   BOOL mCreate ( BOOL bBuildTrigTables = FALSE );
   void mDestroy ();
   void mDefinePolyPlanEquation ( CList& oVertexes, CNodePolygon* poPol );
   void mRotate ( BYTE yAX, BYTE yAY, BYTE yAZ,
                  float& fX, float& fY, float& fZ );
};



// end declarations
#endif
